## org.eclipse.emf.databinding.edit
Class EditingDomainEObjectObservableMap

    java.lang.Object
      java.util.AbstractMap
          org.eclipse.core.databinding.observable.map.AbstractObservableMap
              org.eclipse.core.databinding.observable.map.ComputedObservableMap
                  org.eclipse.emf.databinding.EObjectObservableMap
                      org.eclipse.emf.databinding.edit.EditingDomainEObjectObservableMap

All Implemented Interfaces:
  java.util.Map, IObservable, IObservableMap

    public class EditingDomainEObjectObservableMap

extends EObjectObservableMap

PROVISIONAL: This API is subject to arbitrary change, including renaming or removal.

Nested Class Summary

Nested classes/interfaces inherited from interface java.util.Map
`java.util.Map.Entry<K,V>`

Field Summary
`protected EditingDomain` `domain` The editing domain

Fields inherited from class org.eclipse.emf.databinding.EObjectObservableMap
`eStructuralFeature`

Constructor Summary
`EditingDomainEObjectObservableMap(EditingDomain domain, IObservableSet objects, EStructuralFeature eStructuralFeature)` Create a new observable for the set of features

Method Summary
`protected java.lang.Object` `doPut(java.lang.Object key, java.lang.Object value)`

Methods inherited from class org.eclipse.emf.databinding.EObjectObservableMap
`doGet, hookListener, unhookListener`

Methods inherited from class org.eclipse.core.databinding.observable.map.ComputedObservableMap
`dispose, entrySet, fireSingleChange, firstListenerAdded, get, getKeyType, getValueType, init, isStale, keySet, lastListenerRemoved, put`

Methods inherited from class org.eclipse.core.databinding.observable.map.AbstractObservableMap
`addChangeListener, addDisposeListener, addMapChangeListener, addStaleListener, checkRealm, fireChange, fireMapChange, fireStale, getRealm, hasListeners, isDisposed, removeChangeListener, removeDisposeListener, removeMapChangeListener, removeStaleListener, setStale`

Methods inherited from class java.util.AbstractMap
`clear, clone, containsKey, containsValue, equals, hashCode, isEmpty, putAll, remove, size, toString, values`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.core.databinding.observable.map.IObservableMap
`containsKey, containsValue, equals, hashCode, isEmpty, remove, size, values`

Methods inherited from interface java.util.Map
`clear, putAll`

Field Detail

### domain

    protected EditingDomain domain

  The editing domain

Constructor Detail

### EditingDomainEObjectObservableMap

    public EditingDomainEObjectObservableMap(EditingDomain domain,
                                             IObservableSet objects,
                                             EStructuralFeature eStructuralFeature)

  Create a new observable for the set of features

  Parameters:
    `domain` - the editing domain
    `objects` - the objects to observe
    `eStructuralFeature` - the feature

Method Detail

### doPut

    protected java.lang.Object doPut(java.lang.Object key,
                                     java.lang.Object value)

  Overrides:
    `doPut` in class `EObjectObservableMap`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.